# Generated from js-rails-routes-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name js-rails-routes

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: +js-rails-routes+ is a utility for generating JavaScript equivalents to the +<route>_path+ functions provided by {Ruby on Rails}[https://github.com/rails/rails]
License: MIT
URL: https://github.com/kirkbowers/js-rails-routes
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(hoe) >= 3.13
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
+js-rails-routes+ is a utility for generating JavaScript equivalents to the
+<route>_path+
functions provided by {Ruby on Rails}[https://github.com/rails/rails].  This
allows you
to do very similar things in your {+ejs+}[https://rubygems.org/gems/ejs/]
JavaScript templates as you would in your +erb+
ruby templates.  You can move html rendering to the client and keep it looking
very 
similar to how it would look on the server.
For example, if you have a model +Item+ and a simple route to list all the
items, a link
to that items page (using an explicit +a+ anchor tag instead of the Rails
+link_to+)
would look the same in either an +erb+ file or an +ejs+ file:
<a href="<%= items_path() %>">List all Items</a>
This gem was originally developed as part of the
{MVCoffee}[http://mvcoffee.org] suite of tools, and integrates strongly with
the {mvcoffee.js}[https://github.com/kirkbowers/mvcoffee] CoffeeScript MVC
framework.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/js-rails-routes
%exclude %{gem_instdir}/.gemtest
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.0-1
- Initial package
